Get scene content

Retrieve the complete content of a scene including all drawing elements and files.

This endpoint returns:

  • All drawing elements (shapes, lines, text, etc.)
  • Embedded files and images
  • Scene settings and configuration
  • Version information
  • Canvas state and viewport settings

The response includes the current version of the scene. For version history or specific versions, use the versioning endpoints.

Large scenes with many elements or files may result in substantial response sizes. Consider implementing client-side caching for frequently accessed scenes.

Use cases:

  • Loading scenes for editing
  • Creating scene backups
  • Exporting scene data
  • Scene analysis and processing
GET
/api/v1/scenes/{sceneId}/content
AuthorizationBearer <token>

The API will use the Authorization: Bearer <your-key> header for requests.

In: header

Path Parameters

sceneId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.excalidraw.com/api/v1/scenes/string/content"
{
  "type": "excalidraw",
  "version": 0,
  "source": "string",
  "appState": {
    "viewBackgroundColor": "string",
    "lockedMultiSelections": {
      "property1": true,
      "property2": true
    }
  },
  "elements": [
    null
  ],
  "sceneVersion": "string",
  "files": {
    "property1": {
      "mimeType": "string",
      "id": "string",
      "created": 9007199254740991,
      "lastRetrieved": 9007199254740991,
      "version": 9007199254740991,
      "dataURL": "string"
    },
    "property2": {
      "mimeType": "string",
      "id": "string",
      "created": 9007199254740991,
      "lastRetrieved": 9007199254740991,
      "version": 9007199254740991,
      "dataURL": "string"
    }
  }
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "string"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "string"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "string"
}